package cn.newfeifan.mall.module.distri.controller.admin.dailybill.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.newfeifan.mall.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.newfeifan.mall.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 每日账单分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class DailyBillPageReqVO extends PageParam {

    @Schema(description = "金额，单位：分")
    private Integer amount;

    @Schema(description = "确收金额，单位：分")
    private Integer receivedAmount;

    @Schema(description = "订单数，默认为0", example = "16252")
    private Integer orderCount;

    @Schema(description = "店铺ID", example = "28751")
    private Integer shopId;

    @Schema(description = "商户ID", example = "26719")
    private Integer merchantId;

    @Schema(description = "订单ID列表")
    private String orderIds;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}