package cn.newfeifan.mall.module.distri.controller.admin.dailybill.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 每日账单新增/修改 Request VO")
@Data
public class DailyBillSaveReqVO {

    @Schema(description = "账单编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "17268")
    private Long id;

    @Schema(description = "金额，单位：分", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "金额，单位：分不能为空")
    private Integer amount;

    @Schema(description = "确收金额，单位：分", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "确收金额，单位：分不能为空")
    private Integer receivedAmount;

    @Schema(description = "订单数，默认为0", requiredMode = Schema.RequiredMode.REQUIRED, example = "16252")
    @NotNull(message = "订单数，默认为0不能为空")
    private Integer orderCount;

    @Schema(description = "店铺ID", example = "28751")
    private Integer shopId;

    @Schema(description = "商户ID", example = "26719")
    private Integer merchantId;

    @Schema(description = "订单ID列表", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotEmpty(message = "订单ID列表不能为空")
    private String orderIds;

}